Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2254303005: Don't schedule a wake-up if the timeline hasn't started (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by fs
Modified:
1 year, 1 month ago
Reviewers:
pdr.
CC:
fs, darktears, blink-reviews, blink-reviews-animation_chromium.org, chromium-reviews, krit, Eric Willigers, f(malita), gyuyoung2, kouhei+svg_chromium.org, pdr+svgwatchlist_chromium.org, rjwright, rwlbuis, Stephen Chennney, shans
Base URL:
https://chromium.googlesource.com/chromium/src.git@smilcontainer-timeline-cleanup
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Don't schedule a wake-up if the timeline hasn't started Before the timeline has started we shouldn't update animations. This makes resume() symmetric with pause(). BUG=631879 Committed: https://crrev.com/74765e5a1cda876448a6b44c23c3a9e20e59f53d Cr-Commit-Position: refs/heads/master@{#413336}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -2 lines) Patch
M third_party/WebKit/Source/core/svg/animation/SMILTimeContainer.cpp View 1 chunk +3 lines, -2 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   win_clang   mac_chromium_compile_dbg_ng   ios-device   ios-simulator   mac_chromium_rel_ng   linux_android_rel_ng   android_clang_dbg_recipe   cast_shell_android   android_arm64_dbg_recipe   linux_chromium_chromeos_compile_dbg_ng   android_compile_dbg   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_clobber_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-device   mac_chromium_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_rel_ng   chromium_presubmit   chromeos_x86-generic_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_compile_dbg_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_clobber_rel_ng   linux_android_rel_ng   android_clang_dbg_recipe   cast_shell_android   android_arm64_dbg_recipe   android_compile_dbg   win_chromium_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-device   ios-simulator   mac_chromium_rel_ng   linux_android_rel_ng   android_clang_dbg_recipe   cast_shell_android   android_arm64_dbg_recipe   android_compile_dbg   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_clobber_rel_ng 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 12 (7 generated)
fs
1 year, 1 month ago (2016-08-19 13:26:23 UTC) #4
pdr.
On 2016/08/19 at 13:26:23, fs wrote: > Super clean. LGTM
1 year, 1 month ago (2016-08-19 21:43:08 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2254303005/1
1 year, 1 month ago (2016-08-20 13:08:40 UTC) #9
commit-bot: I haz the power
Committed patchset #1 (id:1)
1 year, 1 month ago (2016-08-20 14:28:19 UTC) #10
commit-bot: I haz the power
1 year, 1 month ago (2016-08-20 14:30:19 UTC) #12
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/74765e5a1cda876448a6b44c23c3a9e20e59f53d
Cr-Commit-Position: refs/heads/master@{#413336}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b